Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.base
Class XTypes

    java.lang.Object
      com.sun.appserv.management.base.XTypes

public final class XTypes
extends java.lang.Object

These are the types possible as values for 'j2eeType' in an ObjectName. Each of these types is an adjunct to JSR 77, dealing specifically with our notion of configuration and/or monitoring.

See Also:
  `XTypesMapper`, `J2EETypes`

Field Summary
`static java.lang.String` | `ACCESS_LOG_CONFIG` ID for `AccessLogConfig`
`static java.lang.String` | `ADMIN_OBJECT_RESOURCE_CONFIG` ID for `AdminObjectResourceConfig`
`static java.lang.String` | `ADMIN_SERVICE_CONFIG` ID for `AdminServiceConfig`
`static java.lang.String` | `APP_CLIENT_MODULE_CONFIG` ID for `JACCProviderConfig`
`static java.lang.String` | `APPLICATION_MONITOR` ID for `ApplicationMonitor`
`static java.lang.String` | `AUDIT_MODULE_CONFIG` ID for `AuditModuleConfig`
`static java.lang.String` | `AUTH_REALM_CONFIG` ID for `AuthRealmConfig`
`static java.lang.String` | `AVAILABILITY_SERVICE_CONFIG` ID for `AvailabilityServiceConfig`
`static java.lang.String` | `BEAN_CACHE_MONITOR` ID for `BeanCacheMonitor`
`static java.lang.String` | `BEAN_METHOD_MONITOR` ID for `BeanMethodMonitor`
`static java.lang.String` | `BEAN_POOL_MONITOR` ID for `BeanPoolMonitor`
`static java.lang.String` | `BULK_ACCESS` ID for `BulkAccess`
`static java.lang.String` | `CLUSTER_CONFIG` ID for `ClusterConfig`
`static java.lang.String` | `CLUSTERED_SERVER_CONFIG` ID for `ClusteredServerConfig`
`static java.lang.String` | `CONFIG_CONFIG` ID for `ConfigConfig`
`static java.lang.String` | `CONFIG_DOTTED_NAMES` ID for `ConfigDottedNames`
`static java.lang.String` | `CONNECTION_MANAGER_MONITOR` ID for `ConnectionManagerMonitor`
`static java.lang.String` | `CONNECTION_POOL_CONFIG` ID for `ConnectionPoolConfig`
`static java.lang.String` | `CONNECTION_QUEUE_MONITOR` ID for `ConnectionQueueMonitor`
`static java.lang.String` | `CONNECTOR_CONNECTION_POOL_CONFIG` ID for `ConnectorConnectionPoolConfig`
`static java.lang.String` | `CONNECTOR_MODULE_CONFIG` ID for `ConnectorModuleConfig`
`static java.lang.String` | `CONNECTOR_RESOURCE_CONFIG` ID for `ConnectorResourceConfig`
`static java.lang.String` | `CONNECTOR_SERVICE_CONFIG` ID for `ConnectorServiceConfig`
`static java.lang.String` | `CONNNECTOR_CONNECTION_POOL_MONITOR` ID for `ConnectorConnectionPoolMonitor`
`static java.lang.String` | `CUSTOM_RESOURCE_CONFIG` ID for `CustomResourceConfig`
`static java.lang.String` | `DAS_CONFIG` ID for `DASConfig`
`static java.lang.String` | `DEPLOYED_ITEM_REF_CONFIG` ID for `DeployedItemRefConfig`
`static java.lang.String` | `DEPLOYMENT_MGR` ID for `DeploymentMgr`
`static java.lang.String` | `DNS_MONITOR` ID for `DNSMonitor`
`static java.lang.String` | `DOMAIN_CONFIG` ID for `DomainConfig`
`static java.lang.String` | `DOMAIN_ROOT` ID for `DomainRoot`
`static java.lang.String` | `EJB_CONTAINER_AVAILABILITY_CONFIG` ID for `EJBContainerAvailabilityConfig`
`static java.lang.String` | `EJB_CONTAINER_CONFIG` ID for `EJBContainerConfig`
`static java.lang.String` | `EJB_MODULE_CONFIG` ID for `EJBModuleConfig`
`static java.lang.String` | `EJB_MODULE_MONITOR` ID for `EJBModuleMonitor`
`static java.lang.String` | `EJB_TIMER_SERVICE_CONFIG` ID for `EJBTimerServiceConfig`
`static java.lang.String` | `ENTITY_BEAN_MONITOR` ID for `EntityBeanMonitor`
`static java.lang.String` | `FILE_CACHE_MONITOR` ID for `FileCacheMonitor`
`static java.lang.String` | `HEALTH_CHECKER_CONFIG`
`static java.lang.String` | `HTTP_ACCESS_LOG_CONFIG` ID for `HTTPAccessLogConfig`
`static java.lang.String` | `HTTP_FILE_CACHE_CONFIG` ID for `HTTPFileCacheConfig`
`static java.lang.String` | `HTTP_LISTENER_CONFIG` ID for `HTTPListenerConfig`
`static java.lang.String` | `HTTP_LISTENER_MONITOR` ID for `HTTPListenerMonitor`
`static java.lang.String` | `HTTP_PROTOCOL_CONFIG` ID for `HTTPProtocolConfig`
`static java.lang.String` | `HTTP_SERVICE_CONFIG` ID for `HTTPServiceConfig`
`static java.lang.String` | `HTTP_SERVICE_MONITOR` ID for `HTTPServiceMonitor`
`static java.lang.String` | `HTTP_SERVICE_VIRTUAL_SERVER_MONITOR` ID for `HTTPServiceVirtualServerMonitor`
`static java.lang.String` | `IIOP_LISTENER_CONFIG` ID for `IIOPListenerConfig`
`static java.lang.String` | `IIOP_SERVICE_CONFIG` ID for `IIOPServiceConfig`
`static java.lang.String` | `J2EE_APPLICATION_CONFIG` ID for `J2EEApplicationConfig`
`static java.lang.String` | `JACC_PROVIDER_CONFIG` ID for `JACCProviderConfig`
`static java.lang.String` | `JAVA_CONFIG` ID for `JavaConfig`
`static java.lang.String` | `JDBC_CONNECTION_POOL_CONFIG` ID for `JDBCConnectionPoolConfig`
`static java.lang.String` | `JDBC_CONNECTION_POOL_MONITOR` ID for `JDBCConnectionPoolMonitor`
`static java.lang.String` | `JDBC_RESOURCE_CONFIG` ID for `JDBCResourceConfig`
`static java.lang.String` | `JMS_HOST_CONFIG` ID for `JMSHostConfig`
`static java.lang.String` | `JMS_RESOURCE_CONFIG` ID for `JMSResourceConfig`
`static java.lang.String` | `JMS_SERVICE_CONFIG` ID for `JMSServiceConfig`
`static java.lang.String` | `JMX_CONNECTOR_CONFIG` ID for `JMXConnectorConfig`
`static java.lang.String` | `JMX_COUNTER_MONITOR` ID for `AMXCounterMonitor`
`static java.lang.String` | `JMX_GAUGE_MONITOR` ID for `AMXGaugeMonitor`
`static java.lang.String` | `JMX_MONITOR_MGR` ID for `JMXMonitorMgr`
`static java.lang.String` | `JMX_STRING_MONITOR` ID for `AMXStringMonitor`
`static java.lang.String` | `JNDI_RESOURCE_CONFIG` ID for `JNDIResourceConfig`
`static java.lang.String` | `JVM_MONITOR` ID for `JVMMonitor`
`static java.lang.String` | `KEEP_ALIVE_CONFIG` ID for `KeepAliveConfig`
`static java.lang.String` | `KEEP_ALIVE_MONITOR` ID for `KeepAliveMonitor`
`static java.lang.String` | `LB_CLUSTER_REF_CONFIG`
`static java.lang.String` | `LB_CONFIG`
`static java.lang.String` | `LIFECYCLE_MODULE_CONFIG` ID for `LifecycleModuleConfig`
`static java.lang.String` | `LOG_SERVICE_CONFIG` ID for `LogServiceConfig`
`static java.lang.String` | `MAIL_RESOURCE_CONFIG` ID for `MailResourceConfig`
`static java.lang.String` | `MANAGER_PROPERTIES_CONFIG` ID for `ManagerPropertiesConfig`
`static java.lang.String` | `MDB_CONTAINER_CONFIG` ID for `MDBContainerConfig`
`static java.lang.String` | `MESSAGE_DRIVEN_BEAN_MONITOR` ID for `MessageDrivenBeanMonitor`
`static java.lang.String` | `MESSAGE_SECURITY_CONFIG` ID for `MessageSecurityConfig`
`static java.lang.String` | `MODULE_LOG_LEVELS_CONFIG` ID for `ModuleLogLevelsConfig`
`static java.lang.String` | `MODULE_MONITORING_LEVELS_CONFIG` ID for `ModuleMonitoringLevelsConfig`
`static java.lang.String` | `MONITORING_DOTTED_NAMES` ID for `MonitoringDottedNames`
`static java.lang.String` | `MONITORING_ROOT` ID for `MonitoringRoot`
`static java.lang.String` | `MONITORING_SERVICE_CONFIG` ID for `MonitoringServiceConfig`
`static java.lang.String` | `NATIVE_WEB_CORE_THREAD_POOL_MONITOR` ID for `NativeWebCoreThreadPoolMonitor`
`static java.lang.String` | `NATIVE_WEB_CORE_VIRTUAL_SERVER_REQUEST_MONITOR` ID for `NativeWebCoreVirtualServerRequestMonitor`
`static java.lang.String` | `NODE_AGENT_CONFIG` ID for `NodeAgentConfig`
`static java.lang.String` | `NOTIFICATION_SERVICE` ID for `NotificationService`
`static java.lang.String` | `NOTIFICATION_SERVICE_MGR` ID for `NotificationServiceMgr`
`static java.lang.String` | `ORB_CONFIG` ID for `ORBConfig`
`static java.lang.String` | `PERSISTENCE_MANAGER_FACTORY_RESOURCE_CONFIG` ID for `PersistenceManagerFactoryResourceConfig`
`static java.lang.String` | `PREFIX` Common prefix for all types in XTypes
`static java.lang.String` | `PROFILER_CONFIG` ID for `ProfilerConfig`
`static java.lang.String` | `PROVIDER_CONFIG` ID for `ProviderConfig`
`static java.lang.String` | `QUERY_MGR` ID for `QueryMgr`
`static java.lang.String` | `QUORUM_SERVICE_CONFIG` ID for `QuorumServiceConfig`
`static java.lang.String` | `RAR_MODULE_CONFIG` ID for `RARModuleConfig`
`static java.lang.String` | `REQUEST_POLICY_CONFIG` ID for `RequestPolicyConfig`
`static java.lang.String` | `REQUEST_PROCESSING_CONFIG` ID for `RequestProcessingConfig`
`static java.lang.String` | `RESOURCE_ADAPTER_CONFIG` ID for `ResourceAdapterConfig`
`static java.lang.String` | `RESOURCE_REF_CONFIG` ID for `ResourceRefConfig`
`static java.lang.String` | `RESPONSE_POLICY_CONFIG` ID for `ResponsePolicyConfig`
`static java.lang.String` | `SAMPLE` ID for `Sample`
`static java.lang.String` | `SECURITY_SERVICE_CONFIG` ID for `SecurityServiceConfig`
`static java.lang.String` | `SERVER_REF_CONFIG` ID for `ServerRefConfig`
`static java.lang.String` | `SERVER_ROOT_MONITOR` ID for `ServerRootMonitor`
`static java.lang.String` | `SERVLET_MONITOR` ID for `ServletMonitor`
`static java.lang.String` | `SESSION_CONFIG` ID for `SessionConfig`
`static java.lang.String` | `SESSION_MANAGER_CONFIG` ID for `SessionManagerConfig`
`static java.lang.String` | `SESSION_PROPERTIES_CONFIG` ID for `SessionPropertiesConfig`
`static java.lang.String` | `SSL_CONFIG` ID for `SSLConfig`
`static java.lang.String` | `STANDALONE_SERVER_CONFIG` ID for `StandaloneServerConfig`
`static java.lang.String` | `STATEFUL_SESSION_BEAN_MONITOR` ID for `StatefulSessionBeanMonitor`
`static java.lang.String` | `STATELESS_SESSION_BEAN_MONITOR` ID for `StatelessSessionBeanMonitor`
`static java.lang.String` | `STORE_PROPERTIES_CONFIG` ID for `StorePropertiesConfig`
`static java.lang.String` | `SYSTEM_INFO` ID for `SystemInfo`
`static java.lang.String` | `SYSTEM_PROPERTIES_CONFIG` ID for `DomainConfig`
`static java.lang.String` | `THREAD_POOL_CONFIG` ID for `ThreadPoolConfig`
`static java.lang.String` | `THREAD_POOL_MONITOR` ID for `ThreadPoolMonitor`
`static java.lang.String` | `TRANSACTION_SERVICE_CONFIG` ID for `TransactionServiceConfig`
`static java.lang.String` | `TRANSACTION_SERVICE_MONITOR` ID for `TransactionServiceMonitor`
`static java.lang.String` | `UPLOAD_DOWNLOAD_MGR` ID for `UploadDownloadMgr`
`static java.lang.String` | `VIRTUAL_SERVER_CONFIG` ID for `VirtualServerConfig`
`static java.lang.String` | `WEB_CONTAINER_AVAILABILITY_CONFIG` ID for `WebContainerAvailabilityConfig`
`static java.lang.String` | `WEB_CONTAINER_CONFIG` ID for `WebContainerConfig`
`static java.lang.String` | `WEB_MODULE_CONFIG` ID for `WebModuleConfig`
`static java.lang.String` | `WEB_MODULE_VIRTUAL_SERVER_MONITOR` ID for `WebModuleVirtualServerMonitor`

Constructor Summary
`XTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    public static final java.lang.String PREFIX

  Common prefix for all types in XTypes

  See Also:
    Constant Field Values

### DOMAIN_ROOT

    public static final java.lang.String DOMAIN_ROOT

  ID for `DomainRoot`

  See Also:
    Constant Field Values

### SYSTEM_INFO

    public static final java.lang.String SYSTEM_INFO

  ID for `SystemInfo`

  See Also:
    Constant Field Values

### NOTIFICATION_SERVICE

    public static final java.lang.String NOTIFICATION_SERVICE

  ID for `NotificationService`

  See Also:
    Constant Field Values

### NOTIFICATION_SERVICE_MGR

    public static final java.lang.String NOTIFICATION_SERVICE_MGR

  ID for `NotificationServiceMgr`

  See Also:
    Constant Field Values

### UPLOAD_DOWNLOAD_MGR

    public static final java.lang.String UPLOAD_DOWNLOAD_MGR

  ID for `UploadDownloadMgr`

  See Also:
    Constant Field Values

### DOMAIN_CONFIG

    public static final java.lang.String DOMAIN_CONFIG

  ID for `DomainConfig`

  See Also:
    Constant Field Values

### SYSTEM_PROPERTIES_CONFIG

    public static final java.lang.String SYSTEM_PROPERTIES_CONFIG

  ID for `DomainConfig`

  See Also:
    Constant Field Values

### QUERY_MGR

    public static final java.lang.String QUERY_MGR

  ID for `QueryMgr`

  See Also:
    Constant Field Values

### BULK_ACCESS

    public static final java.lang.String BULK_ACCESS

  ID for `BulkAccess`

  See Also:
    Constant Field Values

### SAMPLE

    public static final java.lang.String SAMPLE

  ID for `Sample`

  See Also:
    Constant Field Values

### CONFIG_CONFIG

    public static final java.lang.String CONFIG_CONFIG

  ID for `ConfigConfig`

  See Also:
    Constant Field Values

### SERVER_REF_CONFIG

    public static final java.lang.String SERVER_REF_CONFIG

  ID for `ServerRefConfig`

  See Also:
    Constant Field Values

### CLUSTER_CONFIG

    public static final java.lang.String CLUSTER_CONFIG

  ID for `ClusterConfig`

  See Also:
    Constant Field Values

### STANDALONE_SERVER_CONFIG

    public static final java.lang.String STANDALONE_SERVER_CONFIG

  ID for `StandaloneServerConfig`

  See Also:
    Constant Field Values

### CLUSTERED_SERVER_CONFIG

    public static final java.lang.String CLUSTERED_SERVER_CONFIG

  ID for `ClusteredServerConfig`

  See Also:
    Constant Field Values

### NODE_AGENT_CONFIG

    public static final java.lang.String NODE_AGENT_CONFIG

  ID for `NodeAgentConfig`

  See Also:
    Constant Field Values

### CONFIG_DOTTED_NAMES

    public static final java.lang.String CONFIG_DOTTED_NAMES

  ID for `ConfigDottedNames`

  See Also:
    Constant Field Values

### MONITORING_DOTTED_NAMES

    public static final java.lang.String MONITORING_DOTTED_NAMES

  ID for `MonitoringDottedNames`

  See Also:
    Constant Field Values

### DEPLOYMENT_MGR

    public static final java.lang.String DEPLOYMENT_MGR

  ID for `DeploymentMgr`

  See Also:
    Constant Field Values

### ORB_CONFIG

    public static final java.lang.String ORB_CONFIG

  ID for `ORBConfig`

  See Also:
    Constant Field Values

### MODULE_MONITORING_LEVELS_CONFIG

    public static final java.lang.String MODULE_MONITORING_LEVELS_CONFIG

  ID for `ModuleMonitoringLevelsConfig`

  See Also:
    Constant Field Values

### MODULE_LOG_LEVELS_CONFIG

    public static final java.lang.String MODULE_LOG_LEVELS_CONFIG

  ID for `ModuleLogLevelsConfig`

  See Also:
    Constant Field Values

### JAVA_CONFIG

    public static final java.lang.String JAVA_CONFIG

  ID for `JavaConfig`

  See Also:
    Constant Field Values

### PROFILER_CONFIG

    public static final java.lang.String PROFILER_CONFIG

  ID for `ProfilerConfig`

  See Also:
    Constant Field Values

### APP_CLIENT_MODULE_CONFIG

    public static final java.lang.String APP_CLIENT_MODULE_CONFIG

  ID for `JACCProviderConfig`

  See Also:
    Constant Field Values

### ADMIN_SERVICE_CONFIG

    public static final java.lang.String ADMIN_SERVICE_CONFIG

  ID for `AdminServiceConfig`

  See Also:
    Constant Field Values

### IIOP_SERVICE_CONFIG

    public static final java.lang.String IIOP_SERVICE_CONFIG

  ID for `IIOPServiceConfig`

  See Also:
    Constant Field Values

### IIOP_LISTENER_CONFIG

    public static final java.lang.String IIOP_LISTENER_CONFIG

  ID for `IIOPListenerConfig`

  See Also:
    Constant Field Values

### SSL_CONFIG

    public static final java.lang.String SSL_CONFIG

  ID for `SSLConfig`

  See Also:
    Constant Field Values

### HTTP_SERVICE_CONFIG

    public static final java.lang.String HTTP_SERVICE_CONFIG

  ID for `HTTPServiceConfig`

  See Also:
    Constant Field Values

### HTTP_LISTENER_CONFIG

    public static final java.lang.String HTTP_LISTENER_CONFIG

  ID for `HTTPListenerConfig`

  See Also:
    Constant Field Values

### VIRTUAL_SERVER_CONFIG

    public static final java.lang.String VIRTUAL_SERVER_CONFIG

  ID for `VirtualServerConfig`

  See Also:
    Constant Field Values

### SECURITY_SERVICE_CONFIG

    public static final java.lang.String SECURITY_SERVICE_CONFIG

  ID for `SecurityServiceConfig`

  See Also:
    Constant Field Values

### MONITORING_SERVICE_CONFIG

    public static final java.lang.String MONITORING_SERVICE_CONFIG

  ID for `MonitoringServiceConfig`

  See Also:
    Constant Field Values

### JMS_SERVICE_CONFIG

    public static final java.lang.String JMS_SERVICE_CONFIG

  ID for `JMSServiceConfig`

  See Also:
    Constant Field Values

### JMS_HOST_CONFIG

    public static final java.lang.String JMS_HOST_CONFIG

  ID for `JMSHostConfig`

  See Also:
    Constant Field Values

### THREAD_POOL_CONFIG

    public static final java.lang.String THREAD_POOL_CONFIG

  ID for `ThreadPoolConfig`

  See Also:
    Constant Field Values

### AVAILABILITY_SERVICE_CONFIG

    public static final java.lang.String AVAILABILITY_SERVICE_CONFIG

  ID for `AvailabilityServiceConfig`

  See Also:
    Constant Field Values

### TRANSACTION_SERVICE_CONFIG

    public static final java.lang.String TRANSACTION_SERVICE_CONFIG

  ID for `TransactionServiceConfig`

  See Also:
    Constant Field Values

### QUORUM_SERVICE_CONFIG

    public static final java.lang.String QUORUM_SERVICE_CONFIG

  ID for `QuorumServiceConfig`

  See Also:
    Constant Field Values

### LOG_SERVICE_CONFIG

    public static final java.lang.String LOG_SERVICE_CONFIG

  ID for `LogServiceConfig`

  See Also:
    Constant Field Values

### DAS_CONFIG

    public static final java.lang.String DAS_CONFIG

  ID for `DASConfig`

  See Also:
    Constant Field Values

### MAIL_RESOURCE_CONFIG

    public static final java.lang.String MAIL_RESOURCE_CONFIG

  ID for `MailResourceConfig`

  See Also:
    Constant Field Values

### JNDI_RESOURCE_CONFIG

    public static final java.lang.String JNDI_RESOURCE_CONFIG

  ID for `JNDIResourceConfig`

  See Also:
    Constant Field Values

### JMS_RESOURCE_CONFIG

    public static final java.lang.String JMS_RESOURCE_CONFIG

  ID for `JMSResourceConfig`

  See Also:
    Constant Field Values

### JDBC_RESOURCE_CONFIG

    public static final java.lang.String JDBC_RESOURCE_CONFIG

  ID for `JDBCResourceConfig`

  See Also:
    Constant Field Values

### JDBC_CONNECTION_POOL_CONFIG

    public static final java.lang.String JDBC_CONNECTION_POOL_CONFIG

  ID for `JDBCConnectionPoolConfig`

  See Also:
    Constant Field Values

### PERSISTENCE_MANAGER_FACTORY_RESOURCE_CONFIG

    public static final java.lang.String PERSISTENCE_MANAGER_FACTORY_RESOURCE_CONFIG

  ID for `PersistenceManagerFactoryResourceConfig`

  See Also:
    Constant Field Values

### ADMIN_OBJECT_RESOURCE_CONFIG

    public static final java.lang.String ADMIN_OBJECT_RESOURCE_CONFIG

  ID for `AdminObjectResourceConfig`

  See Also:
    Constant Field Values

### RESOURCE_ADAPTER_CONFIG

    public static final java.lang.String RESOURCE_ADAPTER_CONFIG

  ID for `ResourceAdapterConfig`

  See Also:
    Constant Field Values

### CUSTOM_RESOURCE_CONFIG

    public static final java.lang.String CUSTOM_RESOURCE_CONFIG

  ID for `CustomResourceConfig`

  See Also:
    Constant Field Values

### CONNECTOR_CONNECTION_POOL_CONFIG

    public static final java.lang.String CONNECTOR_CONNECTION_POOL_CONFIG

  ID for `ConnectorConnectionPoolConfig`

  See Also:
    Constant Field Values

### CONNECTOR_RESOURCE_CONFIG

    public static final java.lang.String CONNECTOR_RESOURCE_CONFIG

  ID for `ConnectorResourceConfig`

  See Also:
    Constant Field Values

### DEPLOYED_ITEM_REF_CONFIG

    public static final java.lang.String DEPLOYED_ITEM_REF_CONFIG

  ID for `DeployedItemRefConfig`

  See Also:
    Constant Field Values

### RESOURCE_REF_CONFIG

    public static final java.lang.String RESOURCE_REF_CONFIG

  ID for `ResourceRefConfig`

  See Also:
    Constant Field Values

### MDB_CONTAINER_CONFIG

    public static final java.lang.String MDB_CONTAINER_CONFIG

  ID for `MDBContainerConfig`

  See Also:
    Constant Field Values

### WEB_CONTAINER_CONFIG

    public static final java.lang.String WEB_CONTAINER_CONFIG

  ID for `WebContainerConfig`

  See Also:
    Constant Field Values

### SESSION_CONFIG

    public static final java.lang.String SESSION_CONFIG

  ID for `SessionConfig`

  See Also:
    Constant Field Values

### WEB_MODULE_CONFIG

    public static final java.lang.String WEB_MODULE_CONFIG

  ID for `WebModuleConfig`

  See Also:
    Constant Field Values

### CONNECTOR_MODULE_CONFIG

    public static final java.lang.String CONNECTOR_MODULE_CONFIG

  ID for `ConnectorModuleConfig`

  See Also:
    Constant Field Values

### EJB_CONTAINER_CONFIG

    public static final java.lang.String EJB_CONTAINER_CONFIG

  ID for `EJBContainerConfig`

  See Also:
    Constant Field Values

### EJB_TIMER_SERVICE_CONFIG

    public static final java.lang.String EJB_TIMER_SERVICE_CONFIG

  ID for `EJBTimerServiceConfig`

  See Also:
    Constant Field Values

### EJB_MODULE_CONFIG

    public static final java.lang.String EJB_MODULE_CONFIG

  ID for `EJBModuleConfig`

  See Also:
    Constant Field Values

### RAR_MODULE_CONFIG

    public static final java.lang.String RAR_MODULE_CONFIG

  ID for `RARModuleConfig`

  See Also:
    Constant Field Values

### J2EE_APPLICATION_CONFIG

    public static final java.lang.String J2EE_APPLICATION_CONFIG

  ID for `J2EEApplicationConfig`

  See Also:
    Constant Field Values

### LIFECYCLE_MODULE_CONFIG

    public static final java.lang.String LIFECYCLE_MODULE_CONFIG

  ID for `LifecycleModuleConfig`

  See Also:
    Constant Field Values

### AUTH_REALM_CONFIG

    public static final java.lang.String AUTH_REALM_CONFIG

  ID for `AuthRealmConfig`

  See Also:
    Constant Field Values

### JACC_PROVIDER_CONFIG

    public static final java.lang.String JACC_PROVIDER_CONFIG

  ID for `JACCProviderConfig`

  See Also:
    Constant Field Values

### AUDIT_MODULE_CONFIG

    public static final java.lang.String AUDIT_MODULE_CONFIG

  ID for `AuditModuleConfig`

  See Also:
    Constant Field Values

### LB_CONFIG

    public static final java.lang.String LB_CONFIG

See Also:
  Constant Field Values

### HEALTH_CHECKER_CONFIG

    public static final java.lang.String HEALTH_CHECKER_CONFIG

See Also:
  Constant Field Values

### LB_CLUSTER_REF_CONFIG

    public static final java.lang.String LB_CLUSTER_REF_CONFIG

See Also:
  Constant Field Values

### EJB_CONTAINER_AVAILABILITY_CONFIG

    public static final java.lang.String EJB_CONTAINER_AVAILABILITY_CONFIG

  ID for `EJBContainerAvailabilityConfig`

  See Also:
    Constant Field Values

### WEB_CONTAINER_AVAILABILITY_CONFIG

    public static final java.lang.String WEB_CONTAINER_AVAILABILITY_CONFIG

  ID for `WebContainerAvailabilityConfig`

  See Also:
    Constant Field Values

### ACCESS_LOG_CONFIG

    public static final java.lang.String ACCESS_LOG_CONFIG

  ID for `AccessLogConfig`

  See Also:
    Constant Field Values

### CONNECTION_POOL_CONFIG

    public static final java.lang.String CONNECTION_POOL_CONFIG

  ID for `ConnectionPoolConfig`

  See Also:
    Constant Field Values

### REQUEST_PROCESSING_CONFIG

    public static final java.lang.String REQUEST_PROCESSING_CONFIG

  ID for `RequestProcessingConfig`

  See Also:
    Constant Field Values

### HTTP_PROTOCOL_CONFIG

    public static final java.lang.String HTTP_PROTOCOL_CONFIG

  ID for `HTTPProtocolConfig`

  See Also:
    Constant Field Values

### HTTP_FILE_CACHE_CONFIG

    public static final java.lang.String HTTP_FILE_CACHE_CONFIG

  ID for `HTTPFileCacheConfig`

  See Also:
    Constant Field Values

### KEEP_ALIVE_CONFIG

    public static final java.lang.String KEEP_ALIVE_CONFIG

  ID for `KeepAliveConfig`

  See Also:
    Constant Field Values

### JMX_CONNECTOR_CONFIG

    public static final java.lang.String JMX_CONNECTOR_CONFIG

  ID for `JMXConnectorConfig`

  See Also:
    Constant Field Values

### HTTP_ACCESS_LOG_CONFIG

    public static final java.lang.String HTTP_ACCESS_LOG_CONFIG

  ID for `HTTPAccessLogConfig`

  See Also:
    Constant Field Values

### CONNECTOR_SERVICE_CONFIG

    public static final java.lang.String CONNECTOR_SERVICE_CONFIG

  ID for `ConnectorServiceConfig`

  See Also:
    Constant Field Values

### SESSION_MANAGER_CONFIG

    public static final java.lang.String SESSION_MANAGER_CONFIG

  ID for `SessionManagerConfig`

  See Also:
    Constant Field Values

### SESSION_PROPERTIES_CONFIG

    public static final java.lang.String SESSION_PROPERTIES_CONFIG

  ID for `SessionPropertiesConfig`

  See Also:
    Constant Field Values

### MANAGER_PROPERTIES_CONFIG

    public static final java.lang.String MANAGER_PROPERTIES_CONFIG

  ID for `ManagerPropertiesConfig`

  See Also:
    Constant Field Values

### STORE_PROPERTIES_CONFIG

    public static final java.lang.String STORE_PROPERTIES_CONFIG

  ID for `StorePropertiesConfig`

  See Also:
    Constant Field Values

### MONITORING_ROOT

    public static final java.lang.String MONITORING_ROOT

  ID for `MonitoringRoot`

  See Also:
    Constant Field Values

### JMX_GAUGE_MONITOR

    public static final java.lang.String JMX_GAUGE_MONITOR

  ID for `AMXGaugeMonitor`

  See Also:
    Constant Field Values

### JMX_STRING_MONITOR

    public static final java.lang.String JMX_STRING_MONITOR

  ID for `AMXStringMonitor`

  See Also:
    Constant Field Values

### JMX_COUNTER_MONITOR

    public static final java.lang.String JMX_COUNTER_MONITOR

  ID for `AMXCounterMonitor`

  See Also:
    Constant Field Values

### SERVER_ROOT_MONITOR

    public static final java.lang.String SERVER_ROOT_MONITOR

  ID for `ServerRootMonitor`

  See Also:
    Constant Field Values

### APPLICATION_MONITOR

    public static final java.lang.String APPLICATION_MONITOR

  ID for `ApplicationMonitor`

  See Also:
    Constant Field Values

### EJB_MODULE_MONITOR

    public static final java.lang.String EJB_MODULE_MONITOR

  ID for `EJBModuleMonitor`

  See Also:
    Constant Field Values

### STATELESS_SESSION_BEAN_MONITOR

    public static final java.lang.String STATELESS_SESSION_BEAN_MONITOR

  ID for `StatelessSessionBeanMonitor`

  See Also:
    Constant Field Values

### STATEFUL_SESSION_BEAN_MONITOR

    public static final java.lang.String STATEFUL_SESSION_BEAN_MONITOR

  ID for `StatefulSessionBeanMonitor`

  See Also:
    Constant Field Values

### ENTITY_BEAN_MONITOR

    public static final java.lang.String ENTITY_BEAN_MONITOR

  ID for `EntityBeanMonitor`

  See Also:
    Constant Field Values

### MESSAGE_DRIVEN_BEAN_MONITOR

    public static final java.lang.String MESSAGE_DRIVEN_BEAN_MONITOR

  ID for `MessageDrivenBeanMonitor`

  See Also:
    Constant Field Values

### BEAN_POOL_MONITOR

    public static final java.lang.String BEAN_POOL_MONITOR

  ID for `BeanPoolMonitor`

  See Also:
    Constant Field Values

### BEAN_CACHE_MONITOR

    public static final java.lang.String BEAN_CACHE_MONITOR

  ID for `BeanCacheMonitor`

  See Also:
    Constant Field Values

### BEAN_METHOD_MONITOR

    public static final java.lang.String BEAN_METHOD_MONITOR

  ID for `BeanMethodMonitor`

  See Also:
    Constant Field Values

### SERVLET_MONITOR

    public static final java.lang.String SERVLET_MONITOR

  ID for `ServletMonitor`

  See Also:
    Constant Field Values

### HTTP_SERVICE_MONITOR

    public static final java.lang.String HTTP_SERVICE_MONITOR

  ID for `HTTPServiceMonitor`

  See Also:
    Constant Field Values

### HTTP_LISTENER_MONITOR

    public static final java.lang.String HTTP_LISTENER_MONITOR

  ID for `HTTPListenerMonitor`

  See Also:
    Constant Field Values

### HTTP_SERVICE_VIRTUAL_SERVER_MONITOR

    public static final java.lang.String HTTP_SERVICE_VIRTUAL_SERVER_MONITOR

  ID for `HTTPServiceVirtualServerMonitor`

  See Also:
    Constant Field Values

### WEB_MODULE_VIRTUAL_SERVER_MONITOR

    public static final java.lang.String WEB_MODULE_VIRTUAL_SERVER_MONITOR

  ID for `WebModuleVirtualServerMonitor`

  See Also:
    Constant Field Values

### JVM_MONITOR

    public static final java.lang.String JVM_MONITOR

  ID for `JVMMonitor`

  See Also:
    Constant Field Values

### TRANSACTION_SERVICE_MONITOR

    public static final java.lang.String TRANSACTION_SERVICE_MONITOR

  ID for `TransactionServiceMonitor`

  See Also:
    Constant Field Values

### THREAD_POOL_MONITOR

    public static final java.lang.String THREAD_POOL_MONITOR

  ID for `ThreadPoolMonitor`

  See Also:
    Constant Field Values

### CONNECTION_MANAGER_MONITOR

    public static final java.lang.String CONNECTION_MANAGER_MONITOR

  ID for `ConnectionManagerMonitor`

  See Also:
    Constant Field Values

### JDBC_CONNECTION_POOL_MONITOR

    public static final java.lang.String JDBC_CONNECTION_POOL_MONITOR

  ID for `JDBCConnectionPoolMonitor`

  See Also:
    Constant Field Values

### CONNNECTOR_CONNECTION_POOL_MONITOR

    public static final java.lang.String CONNNECTOR_CONNECTION_POOL_MONITOR

  ID for `ConnectorConnectionPoolMonitor`

  See Also:
    Constant Field Values

### FILE_CACHE_MONITOR

    public static final java.lang.String FILE_CACHE_MONITOR

  ID for `FileCacheMonitor`

  See Also:
    Constant Field Values

### NATIVE_WEB_CORE_VIRTUAL_SERVER_REQUEST_MONITOR

    public static final java.lang.String NATIVE_WEB_CORE_VIRTUAL_SERVER_REQUEST_MONITOR

  ID for `NativeWebCoreVirtualServerRequestMonitor`

  See Also:
    Constant Field Values

### NATIVE_WEB_CORE_THREAD_POOL_MONITOR

    public static final java.lang.String NATIVE_WEB_CORE_THREAD_POOL_MONITOR

  ID for `NativeWebCoreThreadPoolMonitor`

  See Also:
    Constant Field Values

### DNS_MONITOR

    public static final java.lang.String DNS_MONITOR

  ID for `DNSMonitor`

  See Also:
    Constant Field Values

### CONNECTION_QUEUE_MONITOR

    public static final java.lang.String CONNECTION_QUEUE_MONITOR

  ID for `ConnectionQueueMonitor`

  See Also:
    Constant Field Values

### KEEP_ALIVE_MONITOR

    public static final java.lang.String KEEP_ALIVE_MONITOR

  ID for `KeepAliveMonitor`

  See Also:
    Constant Field Values

### MESSAGE_SECURITY_CONFIG

    public static final java.lang.String MESSAGE_SECURITY_CONFIG

  ID for `MessageSecurityConfig`

  See Also:
    Constant Field Values

### PROVIDER_CONFIG

    public static final java.lang.String PROVIDER_CONFIG

  ID for `ProviderConfig`

  See Also:
    Constant Field Values

### REQUEST_POLICY_CONFIG

    public static final java.lang.String REQUEST_POLICY_CONFIG

  ID for `RequestPolicyConfig`

  See Also:
    Constant Field Values

### RESPONSE_POLICY_CONFIG

    public static final java.lang.String RESPONSE_POLICY_CONFIG

  ID for `ResponsePolicyConfig`

  See Also:
    Constant Field Values

### JMX_MONITOR_MGR

    public static final java.lang.String JMX_MONITOR_MGR

  ID for `JMXMonitorMgr`

  See Also:
    Constant Field Values

Constructor Detail

### XTypes

    public XTypes()

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.